Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.conversation
Class NoSuchConversationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.conversation.ConversationException
                      org.springframework.webflow.conversation.NoSuchConversationException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchConversationException

extends ConversationException

Thrown when no logical conversation exists with the specified `conversationId`. This might occur if the conversation ended, expired, or was otherwise invalidated, but a client view still references it.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`NoSuchConversationException(ConversationId conversationId)` Create a new conversation lookup exception.

Method Summary
`ConversationId` | `getConversationId()` Returns the conversation id that was not found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchConversationException

    public NoSuchConversationException(ConversationId conversationId)

  Create a new conversation lookup exception.

  Parameters:
    `conversationId` - the conversation id

Method Detail

### getConversationId

    public ConversationId getConversationId()

  Returns the conversation id that was not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD